<?php
    header('Content-Type: text/html; charset=utf-8');
    include 'conexion.php';

    if (isset($_POST['oficio'])) {
        $oficio = $_POST['oficio'];
    } else {
        // echo "Error: El campo oficio no puede ser null.";
        exit;  // Salir del script
    }
    $fechaoficio = $_POST['fechaoficio'];
    $nombre = $_POST['nombre'];
    $empresa = $_POST['empresa'];
    $domicilio = $_POST['domicilio'];
    $municipio = $_POST['municipio'];
    $cp = $_POST['cp'];
    $registro = $_POST['registro'];
    $elaboro = $_POST['elaboro'];
    $folio = $_POST['folio'];
    $carpeta = $_POST['carpeta'];
    $validoal = $_POST['validoal'];
    $tipo = $_POST['tipo'];

    // Verificar si el oficio ya existe
    $check = $conn->prepare("SELECT * FROM reg_pepc WHERE oficio = :oficio");
    $check->bindParam(':oficio', $oficio);
    $check->execute();

    if ($check->rowCount() > 0) {
        // El oficio ya existe
        header('HTTP/1.1 409 Conflict');
        echo json_encode(array("error" => "El oficio ya existe."));
    } else {
        // El oficio no existe, proceder a insertar
        try {
            $sql = "INSERT INTO reg_pepc (oficio, fechaoficio, nombre, empresa, domicilio, municipio, cp, registro, elaboro, folio, carpeta, validoal, tipo) 
                    VALUES (:oficio, :fechaoficio, :nombre, :empresa, :domicilio, :municipio, :cp, :registro, :elaboro, :folio, :carpeta, :validoal, :tipo)";
            $stmt = $conn->prepare($sql);

            $stmt->bindParam(':oficio', $oficio);
            $stmt->bindParam(':fechaoficio', $fechaoficio);
            $stmt->bindParam(':nombre', $nombre);
            $stmt->bindParam(':empresa', $empresa);
            $stmt->bindParam(':domicilio', $domicilio);
            $stmt->bindParam(':municipio', $municipio);
            $stmt->bindParam(':cp', $cp);
            $stmt->bindParam(':registro', $registro);
            $stmt->bindParam(':elaboro', $elaboro);
            $stmt->bindParam(':folio', $folio);
            $stmt->bindParam(':carpeta', $carpeta);
            $stmt->bindParam(':validoal', $validoal);
            $stmt->bindParam(':tipo',$tipo);

            $stmt->execute();
            // echo "New record created successfully";
        } catch(PDOException $e) {
            echo "Error: " . $sql . "<br>" . $e->getMessage();
        }
    }

    $conn = null;
?>
